# Uses of Interface
org.eclipse.pde.core.project.IRequiredBundleDescription

Packages that use IRequiredBundleDescription
Package
Description
org.eclipse.pde.core.project
Application programming interfaces to create new plug-in projects programmatically.

## Uses of IRequiredBundleDescription in org.eclipse.pde.core.project

Methods in org.eclipse.pde.core.project that return IRequiredBundleDescription
Modifier and Type
Method
Description
`IRequiredBundleDescription[]`
IBundleProjectDescription.`getRequiredBundles()`
Returns the value of the Require-Bundle header or `null` if unspecified.
`default IRequiredBundleDescription`
IBundleProjectService.`newRequiredBundle(String name, VersionRange range, boolean optional, boolean export)`
Deprecated, for removal: This API element is subject to removal in a future version.
Instead use `IBundleProjectService.newRequiredBundle(String, VersionRange, boolean, boolean)`
`IRequiredBundleDescription`
IBundleProjectService.`newRequiredBundle(String name, VersionRange range, boolean optional, boolean export)`
Creates and returns a new required bundle description.
Methods in org.eclipse.pde.core.project with parameters of type IRequiredBundleDescription
Modifier and Type
Method
Description
`void`
IBundleProjectDescription.`setRequiredBundles(IRequiredBundleDescription[] bundles)`
Sets the value of the Require-Bundle header for the described bundle.